Package com.collibra.dgc.core.api.model.user

# Interface User

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface User extends Resource
Represents a user in the system.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Email>`
  `getAdditionalEmailAddresses()`
  Get the list of additional email addresses
  `List<Address>`
  `getAddresses()`
  Get the list of addresses.
  `String`
  `getDepartment()`
  Get the organizational title of the user.
  `String`
  `getEmailAddress()`
  Gets the primary email address of the user.
  `String`
  `getFirstName()`
  Gets the first name of the user.
  `Gender`
  `getGender()`
  Get the gender of the user.
  `List<InstantMessagingAccount>`
  `getInstantMessagingAccounts()`
  Get the list of instant messaging accounts.
  `String`
  `getLanguage()`
  Gets the current language preference for this user.
  `String`
  `getLastName()`
  Gets the last name of the user.
  `LicenseType`
  `getLicenseType()`
  Deprecated.
  This method will be removed in the future.
  `List<PhoneNumber>`
  `getPhoneNumbers()`
  Get the list of phone numbers
  `String`
  `getTitle()`
  Get the organizational title of the user.
  `String`
  `getUserName()`
  Gets the username of the user.
  `List<Website>`
  `getWebsites()`
  Get the list of websites.
  `Boolean`
  `isActivated()`
  Check if this user account is already activated or not.
  `Boolean`
  `isApiUser()`
  Deprecated.
  This method will be removed in the future.
  `boolean`
  `isEnabled()`
  Check if this user account is currently enabled (able to log in) or not.
  `Boolean`
  `isGuestUser()`
  Check if this user was a guest user or not.
  `Boolean`
  `isLdapUser()`
  Check if this is an LDAP user or not.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getUserName

    String getUserName()
    Gets the username of the user.
    Returns:
      The username of the user

  - ### getFirstName

    String getFirstName()
    Gets the first name of the user.
    Returns:
      the first name of the user.

  - ### getLastName

    String getLastName()
    Gets the last name of the user.
    Returns:
      the last name of the user.

  - ### getEmailAddress

    String getEmailAddress()
    Gets the primary email address of the user.
    Returns:
      the primary email address of the user.

  - ### getGender

    Gender getGender()
    Get the gender of the user.
    Returns:
      the gender of the user.

  - ### isActivated

    Boolean isActivated()
    Check if this user account is already activated or not.
    Returns:
      True if this user is already activated. False otherwise.

  - ### isEnabled

    boolean isEnabled()
    Check if this user account is currently enabled (able to log in) or not.
    Returns:
      True if this user account is enabled. False if disabled.

  - ### isLdapUser

    Boolean isLdapUser()
    Check if this is an LDAP user or not.
    Returns:
      True if this is an LDAP user. False otherwise.

  - ### isGuestUser

    Boolean isGuestUser()
    Check if this user was a guest user or not.
    Returns:
      True if this was a guest user. False otherwise.

  - ### isApiUser

    @Deprecated Boolean isApiUser()
    Deprecated.
    This method will be removed in the future.
    Check if this is an API user or not.
    Returns:
      True if this user is an API user. False is not.

  - ### getLanguage

    String getLanguage()
    Gets the current language preference for this user.
    Returns:
      the current language preference for this user.

  - ### getAdditionalEmailAddresses

    List<Email> getAdditionalEmailAddresses()
    Get the list of additional email addresses
    Returns:
      the list of additional email addresses

  - ### getPhoneNumbers

    List<PhoneNumber> getPhoneNumbers()
    Get the list of phone numbers
    Returns:
      the list of phone numbers

  - ### getInstantMessagingAccounts

    List<InstantMessagingAccount> getInstantMessagingAccounts()
    Get the list of instant messaging accounts.
    Returns:
      the list of instant messaging accounts.

  - ### getWebsites

    List<Website> getWebsites()
    Get the list of websites.
    Returns:
      the list of websites.

  - ### getAddresses

    List<Address> getAddresses()
    Get the list of addresses.
    Returns:
      the list of addresses.

  - ### getLicenseType

    @Deprecated LicenseType getLicenseType()
    Deprecated.
    This method will be removed in the future.
    Get the given licenceType of the user. Given license type is no longer available for users. This method will always return `LicenseType.CONSUMER` for compatibility purposes.
    Returns:
      `LicenseType.CONSUMER`

  - ### getTitle

    String getTitle()
    Get the organizational title of the user.
    Returns:
      the user title

  - ### getDepartment

    String getDepartment()
    Get the organizational title of the user.
    Returns:
      the user title